Computers
List computers
Lists the organization’s registered Computers the caller can see.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
Response Body
application/json
curl -X GET "https://example.com/v1/orgs/string/computers"[ { "id": "string", "name": "string", "ownerUserId": "string", "kind": "self-hosted", "isolation": "none", "os": "macos", "osVersion": "string", "session": "aqua", "status": "online", "capabilities": { "screenshot": false, "input": false, "textInput": "full", "humanActivity": "pointer", "backgroundInput": false, "accessibilityTree": false, "viewer": false, "viewerStun": true, "egress": true, "displays": [], "permissions": {} }, "doctor": { "checkedAt": "2019-08-24T14:15:22Z", "checks": [ { "name": "string", "status": "ok", "detail": "string", "fix": "string" } ] }, "desktopDaemonVersion": "string", "driverVersion": "string", "policy": { "allowedMembers": [], "agentMode": "view", "approvals": { "firstInputPerSession": true, "launchApp": "always", "submitLikeKeys": true }, "appAllowlist": [ "string" ], "redactApps": [], "exposeDriverTools": false, "quietHours": { "tz": "string", "ranges": [ "string" ] }, "leaseIdleSeconds": 120, "leaseMaxSeconds": 1800, "leaseWaitSeconds": 45, "screenshotRetentionDays": 0, "viewerPeerToPeer": true }, "visibility": "org", "sharedWith": [ "string" ], "lastSeenAt": "string", "revokedAt": "string", "stoppedAt": "string", "stoppedByUserId": "string", "createdAt": "string", "updatedAt": "string", "canEdit": true, "screenshotRetentionDays": -9007199254740991, "canEditPolicy": true, "agentAccess": { "mode": "none", "agents": [] }, "canEditAgentAccess": true, "allocation": "ephemeral", "ownerAgentId": "string", "poolPhase": "provisioning", "poolError": "string", "poolActions": { "wake": true, "sleep": true, "reset": true }, "lease": { "sessionId": "string", "agentId": "string", "agentName": "string", "acquiredAt": "string" }, "waiting": [ { "sessionId": "string", "agentId": "string", "since": "string" } ] }]